## ujson 5.11.0

=== src/ujson/lib/Makefile ===
PROGRAM=libujson.a
CPP=gcc
LIBS=-lm
SOURCE=.
OBJS=ultrajsonenc.o ultrajsondec.o
LINKFLAGS=-shared
#-Wl,-soname,libultrajson.so.1

CPPFLAGS=-D_REENTRANT -D_LINUX
all : CPPFLAGS += -O3 -DNDEBUG -fPIC
all : libultrajson

libultrajson : $(OBJS)
	ar rcs ./$(PROGRAM) $(OBJS)
	cp ./$(PROGRAM) ./python/lib/

%.o:    $(SOURCE)/%.c
	$(CPP) $(CPPFLAGS) -c $< -o ./$@

clean:
	rm -rf *.o
	rm -rf $(PROGRAM)

## ujson 1.33

=== debian/changelog ===
ujson (1.33-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 19:40:09 +0000

ujson (1.33-1) unstable; urgency=low

  * Initial release (Closes: #790447)

 -- Sandro Tosi <morph@debian.org>  Mon, 29 Jun 2015 11:37:26 -0400

=== debian/control ===
Source: ujson
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 9), python-all-dev, python-all-dbg, python3-all-dev, python3-all-dbg, dh-python
Standards-Version: 3.9.6
Homepage: http://github.com/esnme/ultrajson
#Vcs-Git: 
#Vcs-Browser: 

Package: python-ujson
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: ultra fast JSON encoder and decoder for Python 2
 UltraJSON is an ultra fast JSON encoder and decoder written in pure C with
 bindings for Python.

Package: python-ujson-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-dbg, ${misc:Depends}, ${shlibs:Depends}, python-ujson (= ${binary:Version})
Description: ultra fast JSON encoder and decoder for Python 2 (debug ext)
 UltraJSON is an ultra fast JSON encoder and decoder written in pure C with
 bindings for Python.
 .
 This package contains the debug extension for python-ujson.

Package: python3-ujson
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: ultra fast JSON encoder and decoder for Python 3
 UltraJSON is an ultra fast JSON encoder and decoder written in pure C with
 bindings for Python.
 .
 This package contains the Python 3 module of ujson.

Package: python3-ujson-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg, ${misc:Depends}, ${shlibs:Depends}, python3-ujson (= ${binary:Version})
Description: ultra fast JSON encoder and decoder for Python 3 (debug ext)
 UltraJSON is an ultra fast JSON encoder and decoder written in pure C with
 bindings for Python.
 .
 This package contains the debug extension for python3-ujson.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2=$(shell pyversions -r)
PYTHON3=$(shell py3versions -r)

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	set -e; \
	for python in $(PYTHON2) $(PYTHON3); do \
		$$python setup.py build; \
		$$python-dbg setup.py build; \
	done

override_dh_install:
	set -e; \
	for python in $(PYTHON2); do \
		$$python     setup.py install --install-layout=deb --root=$(CURDIR)/debian/python-ujson; \
		$$python-dbg setup.py install --install-layout=deb --root=$(CURDIR)/debian/python-ujson-dbg; \
	done
	for python in $(PYTHON3); do \
		$$python     setup.py install --install-layout=deb --root=$(CURDIR)/debian/python3-ujson; \
		$$python-dbg setup.py install --install-layout=deb --root=$(CURDIR)/debian/python3-ujson-dbg; \
	done

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-ujson  --dbg-package=python-ujson-dbg
	dh_strip -ppython3-ujson --dbg-package=python3-ujson-dbg
endif

override_dh_installdocs:
	dh_installdocs -ppython-ujson-dbg  --link-doc=python-ujson
	dh_installdocs -ppython3-ujson-dbg --link-doc=python3-ujson
	dh_installdocs
	dh_installdocs README.rst

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e; \
	for python in $(PYTHON2); do \
		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)") ; \
		PYTHONPATH=$(CURDIR)/$$LIB $$python tests/tests.py ; \
		LIB=$$($$python-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)") ; \
		PYTHONPATH=$(CURDIR)/$$LIB $$python-dbg tests/tests.py ; \
	done
	2to3 --no-diffs -n --add-suffix='3' -w tests/tests.py
	-for python in $(PYTHON3); do \
		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)") ; \
		PYTHONPATH=$(CURDIR)/$$LIB $$python tests/tests.py3 ; \
		LIB=$$($$python-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)") ; \
		PYTHONPATH=$(CURDIR)/$$LIB $$python-dbg tests/tests.py3 ; \
	done
	rm tests/tests.py3
endif

## ujson 1.35

=== debian/changelog ===
ujson (1.35-4build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:26:22 +0100

ujson (1.35-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938748

 -- Sandro Tosi <morph@debian.org>  Thu, 12 Dec 2019 22:00:45 -0500

ujson (1.35-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Chris Lamb ]
  * debian/copyright: Use HTTPS for Source field.

  [ Mo Zhou ]
  * Package adopted. Update Maintainers and Uploaders. (Closes: #888233)
    + Move Python Team to Maintainers.
    - Remove Sandro Tosi <morph@debian.org>, who requested for adoption.
    + Add myself to Uploaders.
  * Sort B-D list and add the missing B-D python-unittest2.
  * BUGS: Annotate a known bug.
  * Bump Standards-Version to 4.1.4 (no change).
  * copyright: Rename BSD to BSD-3-Clause (invalid-short-name-in-dep5-copyright).
  * Override obsolete-url-in-packaging. The URL is a note in copyright.
  * rules: Inject hardening flags.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 02 Jun 2018 06:30:23 +0000

ujson (1.35-2) unstable; urgency=medium

  * debian/control
    - add 2to3 to b-d, now a separate package; Closes: #887448
    - bump Standards-Version to 4.1.3
    - remove prio: extra from -dbg packages
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Tue, 23 Jan 2018 23:12:05 -0500

ujson (1.35-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release: Closes: #792610, #827209
  * debian/control
    - set Vcs-* fields
    - set team as uploaders
    - bump Standards-Version to 3.9.8 (no changes needed)
    - add six, pytz to b-d, needed by tests
  * debian/copyright
    - extend packaging copyright years
    - updated upstream copyright years
  * debian/patches/0002-run-test-more-verbosely.patch
    - run tests more verbosely

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Jun 2016 20:24:42 +0100

=== debian/control ===
Source: ujson
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>,
Build-Depends: debhelper-compat (= 9),
               2to3,
               dh-python,
               python3-all-dbg,
               python3-all-dev,
               python3-six,
               python3-tz,
Standards-Version: 4.1.4
Homepage: https://github.com/esnme/ultrajson
Vcs-Git: https://salsa.debian.org/python-team/modules/ujson.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/ujson

Package: python3-ujson
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: ultra fast JSON encoder and decoder for Python 3
 UltraJSON is an ultra fast JSON encoder and decoder written in pure C with
 bindings for Python.
 .
 This package contains the Python 3 module of ujson.

Package: python3-ujson-dbg
Section: debug
Architecture: any
Depends: python3-dbg, ${misc:Depends}, ${shlibs:Depends}, python3-ujson (= ${binary:Version})
Description: ultra fast JSON encoder and decoder for Python 3 (debug ext)
 UltraJSON is an ultra fast JSON encoder and decoder written in pure C with
 bindings for Python.
 .
 This package contains the debug extension for python3-ujson.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PYTHON3=$(shell py3versions -r)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	set -e; \
	for python in $(PYTHON3); do \
		$$python setup.py build; \
		$$python-dbg setup.py build; \
	done

override_dh_install:
	set -e; \
	for python in $(PYTHON3); do \
		$$python     setup.py install --install-layout=deb --root=$(CURDIR)/debian/python3-ujson; \
		$$python-dbg setup.py install --install-layout=deb --root=$(CURDIR)/debian/python3-ujson-dbg; \
	done

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython3-ujson --dbg-package=python3-ujson-dbg
endif

override_dh_installdocs:
	dh_installdocs -ppython3-ujson-dbg --link-doc=python3-ujson
	dh_installdocs
	dh_installdocs README.rst

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	2to3 --no-diffs -n --add-suffix='3' -w tests/tests.py
	-for python in $(PYTHON3); do \
		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)") ; \
		PYTHONPATH=$(CURDIR)/$$LIB $$python tests/tests.py3 ; \
		LIB=$$($$python-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)") ; \
		PYTHONPATH=$(CURDIR)/$$LIB $$python-dbg tests/tests.py3 ; \
	done
	rm tests/tests.py3
endif

## ujson 4.0.2

=== debian/changelog ===
ujson (4.0.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python3-ujson: Add Multi-Arch: same.

  [ Mo Zhou ]
  * New upstream version 4.0.2

 -- Mo Zhou <lumin@debian.org>  Wed, 17 Feb 2021 14:01:10 +0800

ujson (4.0.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1.35-3.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Mo Zhou ]
  * Add deps/ to Files-Excluded field of d/copyright.
  * New upstream version 4.0.1
  * Update upstream homepage.
  * Apply wrap-and-sort.
  * Update my mail address.
  * Reflect changes in setup.py after stripping embedded double-conversion.
  * Add missing Build-Depends incl. libdouble-conversion-dev.
  * d/rules: filename of upstream test script has been changed.
  * Deprecate old-fashioned -dbg package in favor of auto -dbgsym packages.
  * Specify Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0.
  * Migrate to pytest testing and remove unnecessary 2to3 dependency.

 -- Mo Zhou <lumin@debian.org>  Thu, 15 Oct 2020 10:17:55 +0800

=== debian/control ===
Source: ujson
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-all-dev,
               python3-six,
               python3-tz,
               python3-setuptools,
               python3-setuptools-scm,
               python3-pytest <!nocheck>,
               libdouble-conversion-dev,
Standards-Version: 4.5.0
Homepage: https://github.com/ultrajson/ultrajson
Vcs-Git: https://salsa.debian.org/python-team/packages/ujson.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/ujson
Rules-Requires-Root: no

Package: python3-ujson
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: ultra fast JSON encoder and decoder for Python 3
 UltraJSON is an ultra fast JSON encoder and decoder written in pure C with
 bindings for Python.
 .
 This package contains the Python 3 module of ujson.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PYTHON3=$(shell py3versions -r)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	set -e; \
	for python in $(PYTHON3); do \
		$$python setup.py build; \
	done

override_dh_install:
	set -e; \
	for python in $(PYTHON3); do \
		$$python     setup.py install --install-layout=deb --root=$(CURDIR)/debian/python3-ujson; \
	done

override_dh_installdocs:
	dh_installdocs
	dh_installdocs README.rst

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	-for python in $(PYTHON3); do \
		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)") ; \
		PYTHONPATH=$(CURDIR)/$$LIB $$python -m pytest -v ; \
	done
endif

## ujson 5.1.0

=== debian/changelog ===
ujson (5.1.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:58:06 +0000

ujson (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0
  * Rebase existing patches.

 -- Mo Zhou <lumin@debian.org>  Tue, 04 Jan 2022 09:49:50 -0500

ujson (4.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Mo Zhou ]
  * New upstream version 4.2.0
  * Refresh the existing patches.
  * Update dh_installdocs overrides for README.md.
  * Add missing dependencies on Python3.

 -- Mo Zhou <lumin@debian.org>  Fri, 12 Nov 2021 12:51:27 -0500

=== debian/control ===
Source: ujson
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all:any,
               python3-all-dev:any,
               python3-six,
               python3-tz,
               python3-setuptools,
               python3-setuptools-scm,
               python3-pytest <!nocheck>,
               libdouble-conversion-dev,
Standards-Version: 4.5.1
Homepage: https://github.com/ultrajson/ultrajson
Vcs-Git: https://salsa.debian.org/python-team/packages/ujson.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/ujson
Rules-Requires-Root: no

Package: python3-ujson
Architecture: any
Depends: ${misc:Depends}, python3:any, ${python3:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: ultra fast JSON encoder and decoder for Python 3
 UltraJSON is an ultra fast JSON encoder and decoder written in pure C with
 bindings for Python.
 .
 This package contains the Python 3 module of ujson.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 override_dh_installdocs:
 	dh_installdocs
-	dh_installdocs README.rst
+	dh_installdocs README.md
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)

## ujson 5.4.0

=== debian/changelog ===
ujson (5.4.0-1) unstable; urgency=medium

  * New upstream version 5.4.0 (July 2022)

 -- Mo Zhou <lumin@debian.org>  Wed, 06 Jul 2022 22:27:30 -0700

ujson (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0

 -- Mo Zhou <lumin@debian.org>  Mon, 30 May 2022 18:52:38 -0700

ujson (5.2.0-1) unstable; urgency=medium

  * New upstream version 5.2.0 (Closes: #1005140)
    (Fixes CVE-2021-45958)
  * Deprecate setup.py patch in favor of new ENV vars.

 -- Mo Zhou <lumin@debian.org>  Fri, 08 Apr 2022 10:43:36 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export UJSON_BUILD_DC_INCLUDES = /usr/include/double-conversion
+export UJSON_BUILD_DC_LIBS     = -ldouble-conversion
 
 PYTHON3=$(shell py3versions -r)

## ujson 5.7.0

=== debian/changelog ===
ujson (5.7.0-1) unstable; urgency=medium

  * New upstream version 5.7.0

 -- Mo Zhou <lumin@debian.org>  Wed, 01 Feb 2023 13:56:35 -0500

ujson (5.6.0-1) unstable; urgency=medium

  * New upstream version 5.6.0
  * Amend the broken override_dh_auto_test code.

 -- Mo Zhou <lumin@debian.org>  Sun, 04 Dec 2022 15:13:38 -0500

ujson (5.5.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 23:21:35 +0100

ujson (5.5.0-1) unstable; urgency=medium

  * New upstream version 5.5.0

 -- Mo Zhou <lumin@debian.org>  Fri, 16 Sep 2022 23:32:18 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-setuptools-scm,
                python3-pytest <!nocheck>,
                libdouble-conversion-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/ultrajson/ultrajson
 Vcs-Git: https://salsa.debian.org/python-team/packages/ujson.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ujson

## ujson 5.8.0

=== debian/changelog ===
ujson (5.8.0-1deepin1) unstable; urgency=medium

  * No source change upload against python 3.12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 08 Jul 2024 09:58:16 +0200

ujson (5.8.0-1) unstable; urgency=medium

  * New upstream version 5.8.0

 -- Mo Zhou <lumin@debian.org>  Sat, 17 Jun 2023 15:55:34 -0700

## ujson 5.9.0

=== debian/changelog ===
ujson (5.9.0-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:55:44 +0000

ujson (5.9.0-1) unstable; urgency=medium

  * New upstream version 5.9.0

 -- Mo Zhou <lumin@debian.org>  Tue, 19 Dec 2023 19:08:06 -0500

## ujson 5.10.0

=== debian/changelog ===
ujson (5.10.0-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:24:52 +0000

ujson (5.10.0-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 01:16:25 +0000

ujson (5.10.0-1build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:59:01 +0100

ujson (5.10.0-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove old python3-six build-dep

  [ Mo Zhou ]
  * New upstream version 5.10.0
  * Add autopkgtest with tests/test_ujson.py.

 -- Mo Zhou <lumin@debian.org>  Sat, 18 May 2024 22:27:04 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                dh-python,
                python3-all:any,
                python3-all-dev:any,
-               python3-six,
                python3-tz,
                python3-setuptools,
                python3-setuptools-scm,

=== debian/tests/control ===
Test-Command: pytest tests/test_ujson.py -v
Depends: @, python3-pytest
Restrictions: allow-stderr

## ujson 5.11.0

=== debian/changelog ===
ujson (5.11.0-3) unstable; urgency=medium

  * Team Upload
  * Drop unused python3-tz build-dep
  * Use dh-sequence-python3
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Nov 2025 15:22:55 +0100

ujson (5.11.0-2) unstable; urgency=medium

  * Team Upload
  * Add missing Breaks and Replaces (Closes: #1112173)

 -- Sophie Brun <sophie@kali.org>  Fri, 10 Oct 2025 16:04:16 +0200

ujson (5.11.0-1) unstable; urgency=medium

  * Update Files-Excluded path for embedded source.
  * New upstream version 5.11.0

 -- Mo Zhou <lumin@debian.org>  Tue, 26 Aug 2025 09:57:16 -0400

=== debian/control ===
Source: ujson
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all:any,
               python3-all-dev:any,
               python3-setuptools,
               python3-setuptools-scm,
               python3-pytest <!nocheck>,
               libdouble-conversion-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/ultrajson/ultrajson
Vcs-Git: https://salsa.debian.org/python-team/packages/ujson.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/ujson

Package: python3-ujson
Architecture: any
Depends: ${misc:Depends}, python3:any, ${python3:Depends}, ${shlibs:Depends}
Breaks: python3-typeshed (<< 0.0~git20241223.ea91db2-4)
Replaces: python3-typeshed (<< 0.0~git20241223.ea91db2-4)
Multi-Arch: same
Description: ultra fast JSON encoder and decoder for Python 3
 UltraJSON is an ultra fast JSON encoder and decoder written in pure C with
 bindings for Python.
 .
 This package contains the Python 3 module of ujson.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 PYTHON3=$(shell py3versions -r)
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	set -e; \
@@ -27,7 +27,7 @@
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	-for python in $(PYTHON3); do \
-		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)") ; \
-		PYTHONPATH=$(CURDIR)/$$LIB $$python -m pytest -v ; \
+		LIB=$$(find . | grep 'ujson.*.so' | xargs dirname | paste -sd ':' - ); \
+		PYTHONPATH=$$LIB $$python -m pytest -v ; \
 	done
 endif

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ujson/ujson-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
